// Package dao ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 8:49 下午 2021/8/7
package dao

import "git.zhangdeman.cn/zhangdeman/center-config/define/model"

// namespace 命名空间相关操作
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 8:28 下午 2021/8/8
type namespace struct {
	base
}

// GetDetailByNamespace 根据 namespace 获取命名空间详情
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2:44 下午 2021/8/9
func (n *namespace) GetDetailByNamespace(namespace string) (*model.Namespace, error) {
	var (
		result model.Namespace
		err    error
	)
	if err = DBInstance.Table("namespace").Where("namespace = ?", namespace).First(&result).Error; nil != err {
		return nil, err
	}
	return &result, nil
}
