// Package form...
//
// Description : 命名空间操作相关表单
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-08-09 2:19 下午
package form

// CreateNamespace 创建命名空间的表单
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2:19 下午 2021/8/9
type CreateNamespace struct {
	Namespace    string `json:"namespace"`      // 要创建的命名空间
	Name         string `json:"name"`           // 命名空间的名称
	Description  string `json:"description"`    // 命名空间的描述
	CreateUserID string `json:"create_user_id"` // 创建人ID
}

// ActiveNamespace 激活命名空间
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 9:17 下午 2021/8/9
type ActiveNamespace struct {
	NamespaceID  int64  `json:"namespace_id"`   // 命名空间ID
	Namespace    string `json:"namespace"`      // 命名空间
	UpdateUserID string `json:"update_user_id"` // 更新的用户ID
}
