// Package transform ...
//
// Description : transform ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-11-30 4:31 下午
package transform

// ApolloData apollo数据结构
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 4:32 下午 2021/11/30
type ApolloData struct {
	ID                         int64  `json:"id"`
	ReleaseKey                 string `json:"releaseKey"`
	Name                       string `json:"name"`
	AppID                      string `json:"appId"`
	ClusterName                string `json:"clusterName"`
	NamespaceName              string `json:"namespaceName"`
	Configurations             string `json:"configurations"`
	Comment                    string `json:"comment"`
	IsAbandoned                bool   `json:"isAbandoned"`
	DataChangeCreatedBy        string `json:"dataChangeCreatedBy"`
	DataChangeLastModifiedBy   string `json:"dataChangeLastModifiedBy"`
	DataChangeCreatedTime      string `json:"dataChangeCreatedTime"`
	DataChangeLastModifiedTime string `json:"dataChangeLastModifiedTime"`
}
