CREATE TABLE `log`
(
    `id`             bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '命名空间ID',
    `namespace_id`   bigint(20)          NOT NULL DEFAULT 0 COMMENT '命名空间ID',
    `config_id`      bigint(20)          NOT NULL default 0 COMMENT '配置ID',
    `before_value`   text                NOT NULL COMMENT '变更前的值',
    `after_value`    text                NOT NULL COMMENT '变更后的值',
    `description`    varchar(512)        NOT NULL DEFAULT '' COMMENT '变更描述',
    `log_type`       varchar(128)        not null default '' comment '日志类型 0 - 新建命名空间,参见代码枚举值',
    `create_user_id` varchar(128)        NOT NULL DEFAULT '' COMMENT '创建人ID',
    `create_time`    timestamp           NOT NULL DEFAULT current_timestamp() COMMENT '创建时间',
    `modify_time`    timestamp           NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp() COMMENT '更新时间',
    PRIMARY KEY (`id`),
    KEY `idx_create_id` (`create_user_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='操作日志表';